
Redmine - Defect #10836

user page 500 error

2012-05-05 16:13 - zio zec

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi all, I get 500 error page when entering user page, can you help please?

Processing UsersController#show (for 194.20.232.24 at 2012-05-05 16:10:40) [GET]

  Parameters: {"controller"=>"users", "action"=>"show", "id"=>"1"}

NameError (undefined local variable or method `events' for #<UsersController:0xb199028>):

  app/controllers/users_controller.rb:69:in `show'

  <internal:prelude>:10:in `synchronize'

  passenger (3.0.12) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_

next_request'

  passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_requ

est_handler'

  passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `block in h

andle_spawn_application'

  passenger (3.0.12) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spa

wn_application'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:219:in `block (2 levels) in spawn_rail

s_application'

  passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:214:in `block in spawn_rails_applicati

on'

  passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:82:in `block in synchroni

ze'

  <internal:prelude>:10:in `synchronize'

  passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.12) helper-scripts/passenger-spawn-server:99:in `<main>'

Rendering /other/apache/htdocs/redmine-1.4.0/public/500.html (500 Internal Server Error)

History

#1 - 2012-05-05 17:53 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Can't see how this can happen in 1.4.0. The events variable is defined just before:

source:/tags/1.4.0/app/controllers/users_controller.rb#L68

#2 - 2012-05-06 08:33 - zio zec
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/1.4.0/app/controllers/users_controller.rb#L68


Thanks Jean-Philippe, following the debug output.

It seems that the problem is when sorting empty (last query return no rows) events block.

Thanks in advance for every help.

Regards,

Fabio

Processing UsersController#show (for 194.20.232.24 at 2012-05-06 08:17:29) [GET]

  Parameters: {"controller"=>"users", "action"=>"show", "id"=>"4"}

  SQL (0.3ms)   SELECT max(`settings`.updated_on) AS max_updated_on FROM `settings` 

  User Load (5.8ms)   SELECT * FROM `users` WHERE (`users`.`id` = 4) AND (users.status = 1) AND ( (`users`.`ty

pe` = 'User' OR `users`.`type` = 'AnonymousUser' ) ) 

  User Load (0.3ms)   SELECT * FROM `users` WHERE (`users`.`id` = 4) AND ( (`users`.`type` = 'User' OR `users`

.`type` = 'AnonymousUser' ) ) 

  Member Load Including Associations (0.3ms)   SELECT `members`.`id` AS t0_r0, `members`.`user_id` AS t0_r1, `

members`.`project_id` AS t0_r2, `members`.`created_on` AS t0_r3, `members`.`mail_notification` AS t0_r4, `proj

ects`.`id` AS t1_r0, `projects`.`name` AS t1_r1, `projects`.`description` AS t1_r2, `projects`.`homepage` AS t

1_r3, `projects`.`is_public` AS t1_r4, `projects`.`parent_id` AS t1_r5, `projects`.`created_on` AS t1_r6, `pro

jects`.`updated_on` AS t1_r7, `projects`.`identifier` AS t1_r8, `projects`.`status` AS t1_r9, `projects`.`lft`

 AS t1_r10, `projects`.`rgt` AS t1_r11, `roles`.`id` AS t2_r0, `roles`.`name` AS t2_r1, `roles`.`position` AS 

t2_r2, `roles`.`assignable` AS t2_r3, `roles`.`builtin` AS t2_r4, `roles`.`permissions` AS t2_r5, `roles`.`iss

ues_visibility` AS t2_r6 FROM `members` LEFT OUTER JOIN `projects` ON `projects`.id = `members`.project_id LEF

T OUTER JOIN `member_roles` ON (`members`.`id` = `member_roles`.`member_id`) LEFT OUTER JOIN `roles` ON (`role

s`.`id` = `member_roles`.`role_id`) WHERE (projects.status=1) AND (`members`.user_id = 4 AND (projects.status=

1)) ORDER BY projects.name

  Issue Load Including Associations (6.2ms)   SELECT `issues`.`id` AS t0_r0, `issues`.`tracker_id` AS t0_r1, `

issues`.`project_id` AS t0_r2, `issues`.`subject` AS t0_r3, `issues`.`description` AS t0_r4, `issues`.`due_dat

e` AS t0_r5, `issues`.`category_id` AS t0_r6, `issues`.`status_id` AS t0_r7, `issues`.`assigned_to_id` AS t0_r

8, `issues`.`priority_id` AS t0_r9, `issues`.`fixed_version_id` AS t0_r10, `issues`.`author_id` AS t0_r11, `is

sues`.`lock_version` AS t0_r12, `issues`.`created_on` AS t0_r13, `issues`.`updated_on` AS t0_r14, `issues`.`st

art_date` AS t0_r15, `issues`.`done_ratio` AS t0_r16, `issues`.`estimated_hours` AS t0_r17, `issues`.`parent_i

d` AS t0_r18, `issues`.`root_id` AS t0_r19, `issues`.`lft` AS t0_r20, `issues`.`rgt` AS t0_r21, `issues`.`is_p

rivate` AS t0_r22, `projects`.`id` AS t1_r0, `projects`.`name` AS t1_r1, `projects`.`description` AS t1_r2, `p

rojects`.`homepage` AS t1_r3, `projects`.`is_public` AS t1_r4, `projects`.`parent_id` AS t1_r5, `projects`.`cr

eated_on` AS t1_r6, `projects`.`updated_on` AS t1_r7, `projects`.`identifier` AS t1_r8, `projects`.`status` AS

 t1_r9, `projects`.`lft` AS t1_r10, `projects`.`rgt` AS t1_r11, `users`.`id` AS t2_r0, `users`.`login` AS t2_r

1, `users`.`hashed_password` AS t2_r2, `users`.`firstname` AS t2_r3, `users`.`lastname` AS t2_r4, `users`.`mai

l` AS t2_r5, `users`.`admin` AS t2_r6, `users`.`status` AS t2_r7, `users`.`last_login_on` AS t2_r8, `users`.`l

anguage` AS t2_r9, `users`.`auth_source_id` AS t2_r10, `users`.`created_on` AS t2_r11, `users`.`updated_on` AS

 t2_r12, `users`.`type` AS t2_r13, `users`.`identity_url` AS t2_r14, `users`.`mail_notification` AS t2_r15, `u

sers`.`salt` AS t2_r16, `trackers`.`id` AS t3_r0, `trackers`.`name` AS t3_r1, `trackers`.`is_in_chlog` AS t3_r

2, `trackers`.`position` AS t3_r3, `trackers`.`is_in_roadmap` AS t3_r4 FROM `issues` LEFT OUTER JOIN `projects

` ON `projects`.id = `issues`.project_id LEFT OUTER JOIN `users` ON `users`.id = `issues`.author_id AND (`user

s`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) LEFT OUTER JOIN `trackers` ON `trackers`.id = `issues

`.tracker_id WHERE ((projects.status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE 

em.name='issue_tracking')) AND (issues.author_id = 4)) ORDER BY issues.id DESC LIMIT 10

  Journal Load IDs For Limited Eager Loading (0.3ms)   SELECT DISTINCT `journals`.id FROM `journals` LEFT OUTE

R JOIN `issues` ON `issues`.id = `journals`.journalized_id LEFT OUTER JOIN `projects` ON `projects`.id = `issu

es`.project_id LEFT OUTER JOIN `journal_details` ON journal_details.journal_id = journals.id WHERE (journals.j

ournalized_type = 'Issue' AND (journal_details.prop_key = 'status_id' OR journals.notes <> '')) AND ((projects

.status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='issue_tracking')) AN

D (journals.user_id = 4)) ORDER BY journals.id DESC LIMIT 10

  Journal Load Including Associations (0.5ms)   SELECT `journals`.`id` AS t0_r0, `journals`.`journalized_id` A

S t0_r1, `journals`.`journalized_type` AS t0_r2, `journals`.`user_id` AS t0_r3, `journals`.`notes` AS t0_r4, `

journals`.`created_on` AS t0_r5, `issues`.`id` AS t1_r0, `issues`.`tracker_id` AS t1_r1, `issues`.`project_id`

 AS t1_r2, `issues`.`subject` AS t1_r3, `issues`.`description` AS t1_r4, `issues`.`due_date` AS t1_r5, `issues

`.`category_id` AS t1_r6, `issues`.`status_id` AS t1_r7, `issues`.`assigned_to_id` AS t1_r8, `issues`.`priorit

y_id` AS t1_r9, `issues`.`fixed_version_id` AS t1_r10, `issues`.`author_id` AS t1_r11, `issues`.`lock_version`

 AS t1_r12, `issues`.`created_on` AS t1_r13, `issues`.`updated_on` AS t1_r14, `issues`.`start_date` AS t1_r15,

 `issues`.`done_ratio` AS t1_r16, `issues`.`estimated_hours` AS t1_r17, `issues`.`parent_id` AS t1_r18, `issue

s`.`root_id` AS t1_r19, `issues`.`lft` AS t1_r20, `issues`.`rgt` AS t1_r21, `issues`.`is_private` AS t1_r22, `

projects`.`id` AS t2_r0, `projects`.`name` AS t2_r1, `projects`.`description` AS t2_r2, `projects`.`homepage` 

AS t2_r3, `projects`.`is_public` AS t2_r4, `projects`.`parent_id` AS t2_r5, `projects`.`created_on` AS t2_r6, 

`projects`.`updated_on` AS t2_r7, `projects`.`identifier` AS t2_r8, `projects`.`status` AS t2_r9, `projects`.`

lft` AS t2_r10, `projects`.`rgt` AS t2_r11, `journal_details`.`id` AS t3_r0, `journal_details`.`journal_id` AS

 t3_r1, `journal_details`.`property` AS t3_r2, `journal_details`.`prop_key` AS t3_r3, `journal_details`.`old_v

alue` AS t3_r4, `journal_details`.`value` AS t3_r5, `users`.`id` AS t4_r0, `users`.`login` AS t4_r1, `users`.`

hashed_password` AS t4_r2, `users`.`firstname` AS t4_r3, `users`.`lastname` AS t4_r4, `users`.`mail` AS t4_r5,

 `users`.`admin` AS t4_r6, `users`.`status` AS t4_r7, `users`.`last_login_on` AS t4_r8, `users`.`language` AS 

t4_r9, `users`.`auth_source_id` AS t4_r10, `users`.`created_on` AS t4_r11, `users`.`updated_on` AS t4_r12, `us

ers`.`type` AS t4_r13, `users`.`identity_url` AS t4_r14, `users`.`mail_notification` AS t4_r15, `users`.`salt`

 AS t4_r16 FROM `journals` LEFT OUTER JOIN `issues` ON `issues`.id = `journals`.journalized_id LEFT OUTER JOIN

 `projects` ON `projects`.id = `issues`.project_id LEFT OUTER JOIN `journal_details` ON journal_details.journa

l_id = journals.id LEFT OUTER JOIN `users` ON `users`.id = `journals`.user_id AND (`users`.`type` = 'User' OR 
`users`.`type` = 'AnonymousUser' ) WHERE (journals.journalized_type = 'Issue' AND (journal_details.prop_key = 

'status_id' OR journals.notes <> '')) AND ((projects.status=1 AND projects.id IN (SELECT em.project_id FROM en

abled_modules em WHERE em.name='issue_tracking')) AND (journals.user_id = 4)) AND `journals`.id IN (209, 204, 

203, 202, 200, 199, 198, 197, 196, 195) ORDER BY journals.id DESC

  Changeset Load Including Associations (0.3ms)   SELECT `changesets`.`id` AS t0_r0, `changesets`.`repository_

id` AS t0_r1, `changesets`.`revision` AS t0_r2, `changesets`.`committer` AS t0_r3, `changesets`.`committed_on`

 AS t0_r4, `changesets`.`comments` AS t0_r5, `changesets`.`commit_date` AS t0_r6, `changesets`.`scmid` AS t0_r

7, `changesets`.`user_id` AS t0_r8, `repositories`.`id` AS t1_r0, `repositories`.`project_id` AS t1_r1, `repos

itories`.`url` AS t1_r2, `repositories`.`login` AS t1_r3, `repositories`.`password` AS t1_r4, `repositories`.`

root_url` AS t1_r5, `repositories`.`type` AS t1_r6, `repositories`.`path_encoding` AS t1_r7, `repositories`.`l

og_encoding` AS t1_r8, `repositories`.`extra_info` AS t1_r9, `repositories`.`identifier` AS t1_r10, `repositor

ies`.`is_default` AS t1_r11, `projects`.`id` AS t2_r0, `projects`.`name` AS t2_r1, `projects`.`description` AS

 t2_r2, `projects`.`homepage` AS t2_r3, `projects`.`is_public` AS t2_r4, `projects`.`parent_id` AS t2_r5, `pro

jects`.`created_on` AS t2_r6, `projects`.`updated_on` AS t2_r7, `projects`.`identifier` AS t2_r8, `projects`.`

status` AS t2_r9, `projects`.`lft` AS t2_r10, `projects`.`rgt` AS t2_r11, `users`.`id` AS t3_r0, `users`.`logi

n` AS t3_r1, `users`.`hashed_password` AS t3_r2, `users`.`firstname` AS t3_r3, `users`.`lastname` AS t3_r4, `u

sers`.`mail` AS t3_r5, `users`.`admin` AS t3_r6, `users`.`status` AS t3_r7, `users`.`last_login_on` AS t3_r8, 

`users`.`language` AS t3_r9, `users`.`auth_source_id` AS t3_r10, `users`.`created_on` AS t3_r11, `users`.`upda

ted_on` AS t3_r12, `users`.`type` AS t3_r13, `users`.`identity_url` AS t3_r14, `users`.`mail_notification` AS 

t3_r15, `users`.`salt` AS t3_r16 FROM `changesets` LEFT OUTER JOIN `repositories` ON `repositories`.id = `chan

gesets`.repository_id LEFT OUTER JOIN `projects` ON `projects`.id = `repositories`.project_id LEFT OUTER JOIN 

`users` ON `users`.id = `changesets`.user_id AND (`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' 

) WHERE ((projects.status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='re

pository')) AND (changesets.user_id = 4)) ORDER BY changesets.id DESC LIMIT 10

  News Load Including Associations (0.3ms)   SELECT `news`.`id` AS t0_r0, `news`.`project_id` AS t0_r1, `news`

.`title` AS t0_r2, `news`.`summary` AS t0_r3, `news`.`description` AS t0_r4, `news`.`author_id` AS t0_r5, `new

s`.`created_on` AS t0_r6, `news`.`comments_count` AS t0_r7, `projects`.`id` AS t1_r0, `projects`.`name` AS t1_

r1, `projects`.`description` AS t1_r2, `projects`.`homepage` AS t1_r3, `projects`.`is_public` AS t1_r4, `proje

cts`.`parent_id` AS t1_r5, `projects`.`created_on` AS t1_r6, `projects`.`updated_on` AS t1_r7, `projects`.`ide

ntifier` AS t1_r8, `projects`.`status` AS t1_r9, `projects`.`lft` AS t1_r10, `projects`.`rgt` AS t1_r11, `user

s`.`id` AS t2_r0, `users`.`login` AS t2_r1, `users`.`hashed_password` AS t2_r2, `users`.`firstname` AS t2_r3, 

`users`.`lastname` AS t2_r4, `users`.`mail` AS t2_r5, `users`.`admin` AS t2_r6, `users`.`status` AS t2_r7, `us

ers`.`last_login_on` AS t2_r8, `users`.`language` AS t2_r9, `users`.`auth_source_id` AS t2_r10, `users`.`creat

ed_on` AS t2_r11, `users`.`updated_on` AS t2_r12, `users`.`type` AS t2_r13, `users`.`identity_url` AS t2_r14, 

`users`.`mail_notification` AS t2_r15, `users`.`salt` AS t2_r16 FROM `news` LEFT OUTER JOIN `projects` ON `pro

jects`.id = `news`.project_id LEFT OUTER JOIN `users` ON `users`.id = `news`.author_id AND (`users`.`type` = '

User' OR `users`.`type` = 'AnonymousUser' ) WHERE ((projects.status=1 AND projects.id IN (SELECT em.project_id

 FROM enabled_modules em WHERE em.name='news')) AND (news.author_id = 4)) ORDER BY news.id DESC LIMIT 10

  Attachment Load (0.2ms)   SELECT attachments.* FROM `attachments` LEFT JOIN documents ON attachments.contain

er_type='Document' AND documents.id = attachments.container_id LEFT JOIN projects ON documents.project_id = pr

ojects.id WHERE ((projects.status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.

name='documents')) AND (attachments.author_id = 4)) ORDER BY attachments.id DESC LIMIT 10

  Attachment Load (0.2ms)   SELECT attachments.* FROM `attachments` LEFT JOIN versions ON attachments.containe

r_type='Version' AND versions.id = attachments.container_id LEFT JOIN projects ON versions.project_id = projec

ts.id OR ( attachments.container_type='Project' AND attachments.container_id = projects.id ) WHERE ((projects.

status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='files')) AND (attachm

ents.author_id = 4)) ORDER BY attachments.id DESC LIMIT 10

  WikiContent::Version Load (2.0ms)   SELECT wiki_content_versions.updated_on, wiki_content_versions.comments,

 wiki_content_versions.version, wiki_pages.title, wiki_content_versions.page_id, wiki_content_versions.author_

id, wiki_content_versions.id FROM `wiki_content_versions` LEFT JOIN wiki_pages ON wiki_pages.id = wiki_content

_versions.page_id LEFT JOIN wikis ON wikis.id = wiki_pages.wiki_id LEFT JOIN projects ON projects.id = wikis.p

roject_id WHERE ((projects.status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.

name='wiki')) AND (wiki_content_versions.author_id = 4)) ORDER BY wiki_content_versions.id DESC LIMIT 10

  Message Load Including Associations (0.3ms)   SELECT `messages`.`id` AS t0_r0, `messages`.`board_id` AS t0_r

1, `messages`.`parent_id` AS t0_r2, `messages`.`subject` AS t0_r3, `messages`.`content` AS t0_r4, `messages`.`

author_id` AS t0_r5, `messages`.`replies_count` AS t0_r6, `messages`.`last_reply_id` AS t0_r7, `messages`.`cre

ated_on` AS t0_r8, `messages`.`updated_on` AS t0_r9, `messages`.`locked` AS t0_r10, `messages`.`sticky` AS t0_

r11, `boards`.`id` AS t1_r0, `boards`.`project_id` AS t1_r1, `boards`.`name` AS t1_r2, `boards`.`description` 

AS t1_r3, `boards`.`position` AS t1_r4, `boards`.`topics_count` AS t1_r5, `boards`.`messages_count` AS t1_r6, 

`boards`.`last_message_id` AS t1_r7, `projects`.`id` AS t2_r0, `projects`.`name` AS t2_r1, `projects`.`descrip

tion` AS t2_r2, `projects`.`homepage` AS t2_r3, `projects`.`is_public` AS t2_r4, `projects`.`parent_id` AS t2_

r5, `projects`.`created_on` AS t2_r6, `projects`.`updated_on` AS t2_r7, `projects`.`identifier` AS t2_r8, `pro

jects`.`status` AS t2_r9, `projects`.`lft` AS t2_r10, `projects`.`rgt` AS t2_r11, `users`.`id` AS t3_r0, `user

s`.`login` AS t3_r1, `users`.`hashed_password` AS t3_r2, `users`.`firstname` AS t3_r3, `users`.`lastname` AS t

3_r4, `users`.`mail` AS t3_r5, `users`.`admin` AS t3_r6, `users`.`status` AS t3_r7, `users`.`last_login_on` AS

 t3_r8, `users`.`language` AS t3_r9, `users`.`auth_source_id` AS t3_r10, `users`.`created_on` AS t3_r11, `user

s`.`updated_on` AS t3_r12, `users`.`type` AS t3_r13, `users`.`identity_url` AS t3_r14, `users`.`mail_notificat

ion` AS t3_r15, `users`.`salt` AS t3_r16 FROM `messages` LEFT OUTER JOIN `boards` ON `boards`.id = `messages`.

board_id LEFT OUTER JOIN `projects` ON `projects`.id = `boards`.project_id LEFT OUTER JOIN `users` ON `users`.

id = `messages`.author_id AND (`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) WHERE ((projects.

status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='boards')) AND (messag

es.author_id = 4)) ORDER BY messages.id DESC LIMIT 10

  TimeEntry Load Including Associations (0.2ms)   SELECT `time_entries`.`id` AS t0_r0, `time_entries`.`project

_id` AS t0_r1, `time_entries`.`user_id` AS t0_r2, `time_entries`.`issue_id` AS t0_r3, `time_entries`.`hours` A

S t0_r4, `time_entries`.`comments` AS t0_r5, `time_entries`.`activity_id` AS t0_r6, `time_entries`.`spent_on` 
AS t0_r7, `time_entries`.`tyear` AS t0_r8, `time_entries`.`tmonth` AS t0_r9, `time_entries`.`tweek` AS t0_r10,

 `time_entries`.`created_on` AS t0_r11, `time_entries`.`updated_on` AS t0_r12, `projects`.`id` AS t1_r0, `proj

ects`.`name` AS t1_r1, `projects`.`description` AS t1_r2, `projects`.`homepage` AS t1_r3, `projects`.`is_publi

c` AS t1_r4, `projects`.`parent_id` AS t1_r5, `projects`.`created_on` AS t1_r6, `projects`.`updated_on` AS t1_

r7, `projects`.`identifier` AS t1_r8, `projects`.`status` AS t1_r9, `projects`.`lft` AS t1_r10, `projects`.`rg

t` AS t1_r11 FROM `time_entries` LEFT OUTER JOIN `projects` ON `projects`.id = `time_entries`.project_id WHERE

 ((projects.status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='time_trac

king')) AND (time_entries.user_id = 4)) ORDER BY time_entries.id DESC LIMIT 10

ArgumentError (comparison of Issue with Journal failed):

  lib/redmine/activity/fetcher.rb:80:in `sort!'

  lib/redmine/activity/fetcher.rb:80:in `events'

  app/controllers/users_controller.rb:68:in `show'

  <internal:prelude>:10:in `synchronize'

  passenger (3.0.12) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request

'

  passenger (3.0.12) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

  passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `block in handle_spawn_

application'

  passenger (3.0.12) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_applicati

on'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.12) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:219:in `block (2 levels) in spawn_rails_applicatio

n'

  passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:214:in `block in spawn_rails_application'

  passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:82:in `block in synchronize'

  <internal:prelude>:10:in `synchronize'

  passenger (3.0.12) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

  passenger (3.0.12) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.12) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.12) helper-scripts/passenger-spawn-server:99:in `<main>'

Rendering /other/apache/htdocs/redmine-1.4.0/public/500.html (500 Internal Server Error)

#3 - 2012-05-08 12:39 - Pavel Potcheptsov

I have similar problem when search user. Internal error is displayed:

Processing UsersController#index (for 192.168.5.1 at 2012-05-08 13:17:29) [GET]

  Parameters: {"name"=>"ssh", "action"=>"index", "group_id"=>"", "controller"=>"users", "status"=>"1"}

NoMethodError (undefined method `call' for nil:NilClass):

  app/controllers/users_controller.rb:44:in `index'

  thin (1.3.1) lib/thin/connection.rb:80:in `pre_process'

  thin (1.3.1) lib/thin/connection.rb:78:in `catch'

  thin (1.3.1) lib/thin/connection.rb:78:in `pre_process'

  thin (1.3.1) lib/thin/connection.rb:53:in `process'

  thin (1.3.1) lib/thin/connection.rb:38:in `receive_data'

  eventmachine (0.12.10) lib/eventmachine.rb:256:in `run_machine'

  eventmachine (0.12.10) lib/eventmachine.rb:256:in `run'

  thin (1.3.1) lib/thin/backends/base.rb:61:in `start'

  thin (1.3.1) lib/thin/server.rb:159:in `start'

  thin (1.3.1) lib/thin/controllers/controller.rb:86:in `start'

  thin (1.3.1) lib/thin/runner.rb:185:in `send'

  thin (1.3.1) lib/thin/runner.rb:185:in `run_command'

  thin (1.3.1) lib/thin/runner.rb:151:in `run!'

  thin (1.3.1) bin/thin:6

  /usr/local/bin/thin:19:in `load'

  /usr/local/bin/thin:19

Rendering /var/www/redmine/public/500.html (500 Internal Server Error)

 My system:

2025-05-09 4/6



# uname -a

OpenBSD bsd60.my.domain 5.0 GENERIC#43 i386

# ruby -v

ruby 1.8.7 (2011-06-30 patchlevel 352) [i386-openbsd]

# bundle show

Gems included by the bundle:

  * actionmailer (2.3.14)

  * actionpack (2.3.14)

  * activerecord (2.3.14)

  * activeresource (2.3.14)

  * activesupport (2.3.14)

  * bundler (1.1.3)

  * coderay (1.0.6)

  * daemons (1.1.8)

  * eventmachine (0.12.10)

  * fastercsv (1.5.4)

  * i18n (0.4.2)

  * mysql (2.8.1)

  * net-ldap (0.3.1)

  * rack (1.1.3)

  * rails (2.3.14)

  * rake (0.9.2.2)

  * ruby-openid (2.1.8)

  * thin (1.3.1)

  * tzinfo (0.3.33)

Installed http://www.redmine.org/projects/redmine/wiki/PluginTimesheet

#4 - 2012-05-08 12:51 - zio zec

- Status changed from New to Resolved

Pavel Potcheptsov wrote:

I have similar problem when search user. Internal error is displayed:

[...]

My system:

[...]

Installed http://www.redmine.org/projects/redmine/wiki/PluginTimesheet

 Hi pavel, have you imported project from external system (ex trac)?

I fixed the problem forcing in db correct date for journal events because due an import issue them were been setted as "0000-00-00" value.

Check your db value.

Regards,

Fabio

#5 - 2012-05-08 20:04 - Pavel Potcheptsov

Hi. No, I don't have trac.

I have work RM 1.3.2 on Ubuntu+mongrel, and not enough memory after some times, seems like mongrel process consumed all memory, so I decide

to test RM+Thin on another system.

I install fresh 1.4.1 and import database from 1.3.2.

Everything work fine except search users.

Please explain how did "forcing in db correct date"?

#6 - 2012-05-23 11:23 - Pavel Potcheptsov

problem has gone after upgrade to 1.4.2

#7 - 2012-05-23 14:15 - Etienne Massip

- Category set to Importers

#8 - 2012-05-25 16:04 - Pavel Potcheptsov

this issue go back after installing timesheet and drafts plugins.

end looks exactly like this:

http://www.redmine.org/issues/10879
#9 - 2012-06-14 23:53 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution changed from Cant reproduce to Invalid
